#include <print>

int main()
{
    // Variablen fuer Geburtsdatum definieren und initialisieren
    unsigned char tag = 1, monat = 5;
    unsigned short jahr = 1980;
    // Geburtsdatum ausgeben
    std::println("Geburtsdatum ist der {:02}.{:02}.{:04}",
                  tag, monat, jahr);

    // Referenzvariable auf Geburtsjahr
    decltype(jahr)&  refJahr = jahr;
    std::println("Geburtsjahr ist {}", refJahr);
    // Belegten Speicherplatz ausgeben
    std::println("Geburtsjahr belegt {} Bytes\n",sizeof jahr);
}
